FuseFS README
============

    FuseFS is a library aimed at allowing Ruby programmers to quickly and
  easily create virtual filesystems with little more than a few lines of code.
  
    A "hello world" file system equivalent to the one demonstrated on
  fuse.sourceforge.org is just 20 lines of code!

    FuseFS is *NOT* a full implementation of the FUSE api. rfuse
  is designed for that.


Requirements
------------

  * FUSE (http://fuse.sourceforge.org)
  * Ruby (>= 1.8)
 (* C compiler)


Install
-------

	gem install fusefs

Usage
-----

  Some sample ruby filesystems are listed in "sample/"

  When you run a fusefs script, it will listen on a socket indefinitely, so
  either background the script or open another terminal to mosey around in the
  filesystem.

  Also, check the API.txt file for more use.


License
-------

  MIT license, in file "LICENSE"


Author: Greg Millam <walker@deafcode.com>.
Port/Maintainer: Shane <shane@duairc.com>
